## cascading.pipe.assembly
Class Coerce

    java.lang.Object
      cascading.pipe.Pipe
          cascading.pipe.SubAssembly
              cascading.pipe.assembly.Coerce

All Implemented Interfaces:
  FlowElement, Serializable

    public class Coerce

extends SubAssembly

Class Coerce is a `SubAssembly` that will coerce all incoming `Tuple` values to the given types.

Coerce encapsulates the `Identity` function.

See Also:
  `SubAssembly`, `Identity`, Serialized Form

Field Summary

Fields inherited from class cascading.pipe.Pipe
`previous`

Constructor Summary
`Coerce(Pipe previous, Class... types)` Constructor Coerce creates a new Coerce instance that will coerce all input Tuple values.
`Coerce(Pipe previous, Fields coerceFields, Class... types)` Constructor Coerce creates a new Coerce instance that will only coerce the given coerceFields Tuple values.

Method Summary

Methods inherited from class cascading.pipe.SubAssembly
`getName, getPrevious, getTailNames, getTails, setTails, unwind`

Methods inherited from class cascading.pipe.Pipe
`equals, getHeads, getTrace, hashCode, isEquivalentTo, names, outgoingScopeFor, pipes, print, printInternal, resolveFields, resolveIncomingOperationFields, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Coerce

    @ConstructorProperties(value={"previous","types"})
    public Coerce(Pipe previous,
                                             Class... types)

  Constructor Coerce creates a new Coerce instance that will coerce all input Tuple values.

  Parameters:
    `previous` - of type Pipe
    `types` - of type Class...

### Coerce

    @ConstructorProperties(value={"previous","coerceFields","types"})
    public Coerce(Pipe previous,
                                             Fields coerceFields,
                                             Class... types)

  Constructor Coerce creates a new Coerce instance that will only coerce the given coerceFields Tuple values.

  Note the resulting output Tuple will contain all the original incoming Fields.

  Parameters:
    `previous` - of type Pipe
    `coerceFields` - of type Fields
    `types` - of type Class...

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.